lkml.org 
[lkml]   [2014]   [Sep]   [4]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
Date
From
SubjectRe: [PATCH] kernel: add support for gcc 5
On 09/04/2014 05:25 PM, Andrew Morton wrote:
> On Thu, 4 Sep 2014 23:19:34 +0200 Richard Weinberger <richard.weinberger@gmail.com> wrote:
>
>> On Thu, Sep 4, 2014 at 11:12 PM, Andrew Morton
>> <akpm@linux-foundation.org> wrote:
>>> On Thu, 4 Sep 2014 11:37:19 -0400 Sasha Levin <sasha.levin@oracle.com> wrote:
>>>
>>>> We're missing include/linux/compiler-gcc5.h which is required now
>>>> because gcc branched off to v5 in trunk.
>>>>
>>>> Just copy the relevant bits out of include/linux/compiler-gcc4.h,
>>>> no new code is added as of now.
>>>>
>>>> This fixes a build error when using gcc 5.
>>>
>>> I think I'll stick a cc:stable on this one, as people will presumably
>>> wish to compile older kernels with newer gcc's at some time in the
>>> future.
>>
>> CC'ing Hannes, he sent a much simpler gcc5 patch a few days ago.
>> https://lkml.org/lkml/2014/8/26/710
>
> That approach won't last for long - as soon as we add some
> gcc5-specific thing, we'll need a new file.
>
> Let history be a guide:
>
> diff -u include/linux/compiler-gcc3.h include/linux/compiler-gcc4.h

I didn't see Hannes version before sending mine, apologies for that.

Right now something in gcc5 seems to be broken since my test VMs refuse
to even load up their *very* trivial userspace properly (/bin/bash just
hangs) so I suspect we'll have changes to that file even before the first
official version of gcc5 is out.


Thanks,
Sasha



\
 
 \ /
  Last update: 2014-09-05 00:01    [W:0.080 / U:0.604 seconds]
©2003-2020 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site